VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "Form1"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer tmrBullet 
      Interval        =   1
      Left            =   30
      Top             =   60
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim Back As DirectDrawSurface7
Dim MoveUp As DirectDrawSurface7
Dim MoveDown As DirectDrawSurface7
Dim MoveLeft As DirectDrawSurface7
Dim MoveRight As DirectDrawSurface7
Dim Bullet As DirectDrawSurface7

Dim nX As Integer
Dim nY As Integer
Dim nCadr As Integer
Dim nBulletX As Integer
Dim nBulletStep As Integer

Dim WorkSurface As DirectDrawSurface7

Private Sub Form_Load()
    DXInitDraw frmMain
    Set Back = DXLoadBack("Back.bmp")
    Set MoveUp = DXLoadSprite("MoveUp.bmp", 256, 32, 0, 0)
    Set MoveDown = DXLoadSprite("MoveDown.bmp", 256, 32, 0, 0)
    Set MoveLeft = DXLoadSprite("MoveLeft.bmp", 256, 32, 0, 0)
    Set MoveRight = DXLoadSprite("MoveRight.bmp", 256, 32, 0, 0)
    Set Bullet = DXLoadSprite("Bullet.bmp", 11, 11, 0, 0)
    nX = 100
    nY = 100
    nCadr = 0
    nBulletX = 0
    nBulletStep = 1
    Set WorkSurface = MoveDown
    DrawAll
End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
    Select Case KeyCode
        Case vbKeyEscape
            DXCleanUp frmMain
            End
        Case vbKeyLeft
            nX = nX - 1
            Set WorkSurface = MoveLeft
            MoveUnit
        Case vbKeyRight
            nX = nX + 1
            Set WorkSurface = MoveRight
            MoveUnit
        Case vbKeyUp
            nY = nY - 1
            Set WorkSurface = MoveUp
            MoveUnit
        Case vbKeyDown
            nY = nY + 1
            Set WorkSurface = MoveDown
            MoveUnit
    End Select
End Sub

Private Sub MoveUnit()
    nCadr = nCadr + 1
    If nCadr > 7 Then nCadr = 0
    DrawAll
End Sub

Private Sub DrawAll()
    DXDrawBack Back
    DXDrawSprite WorkSurface, nX, nY, nCadr * 32, 0, 32, 32
    DXDrawSprite Bullet, nBulletX, 100, 0, 0, 11, 11
    DXFlipScreen
End Sub

Private Sub tmrBullet_Timer()
    nBulletX = nBulletX + nBulletStep
    If nBulletX < 0 Then nBulletStep = 1
    If nBulletX > 629 Then nBulletStep = -1
    DrawAll
End Sub
